Package com.documentum.operations

# Interface IDfExportNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfExportNode extends IDfOperationNode
Represents a node in an export operation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `PAGE_RANGE_UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfEnumeration`
  `getAcsRequests()`
  Returns an `IDfEnumeration` object containing a list of `IDfAcsRequest` objects.
  `IDfAcsTransferPreferences`
  `getAcsTransferPreferences()`
  Returns the `IDfAcsTransferPreferences` object to be used.
  `int`
  `getContentPageNumber()`
  Returns the content page number for the local content fille for this object.
  `String`
  `getDefaultFormat()`
  Returns the default content file format for this object in the repository.
  `String`
  `getFilePath()`
  Returns the content file path in the local file system for this node.
  `String`
  `getFormat()`
  Returns the repository format name for the local content file of this object.
  `int`
  `getMacOption()`
  Returns the setting for Mac handling for this node
  `String`
  `getMacResourceFilePath()`
  Returns the file path to the resource fork for this node.
  `IDfSysObject`
  `getObject()`
  Returns the IDfSysObject that is the subject of this operation node.
  `IDfId`
  `getObjectId()`
  Returns the repository object Id of the IDfSysObject for this node.
  `String`
  `getPageModifier()`
  Returns the content page modifier for the local content file for this object.
  `int`
  `getRecordInRegistry()`
  Returns an integer that indicates if this node should be recorded in the client registry.
  `void`
  `setAcsTransferPreferences(IDfAcsTransferPreferences acsTransferPreferences)`
  Sets the `IDfAcsTransferPreferences` object to be used.
  `void`
  `setContentPageNumber(int pageNumber)`
  Sets the content page number for the local content fille of this object.
  `void`
  `setFilePath(String newFilePath)`
  Sets the file path to use as the contents of this object.
  `void`
  `setFormat(String formatName)`
  Sets the repository format name of the local content file for this object.
  `void`
  `setIncludeDCTMAttrsInXML(boolean includeDCTMAttrsInXML)`
  Determines whether or not dctm attributes(dctm:obj_id, dctm:status and dctm:version_label) are added to the chunk points of the XML stream.
  `void`
  `setLogicalPageRange(int startPage, int endPage)`
  Sets the page range of interest that needs to be retrieved as a result of the execution of the export operation.
  `void`
  `setMacOption(int option)`
  Sets the Mac behavior options for this node.
  `void`
  `setMacResourceFilePath(String resourceForkFilePath)`
  Specifies the file path to use to store the resource fork information.
  `void`
  `setPageModifier(String pageModifier)`
  Sets the content page modifier for the local content file for this object.
  `void`
  `setRecordInRegistry(int registryRecordingPreference)`
  Sets an integer that indicates if this node should be recorded in the client registry.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Field Details

  - ### PAGE_RANGE_UNKNOWN

    static final int PAGE_RANGE_UNKNOWN
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getObject

    IDfSysObject getObject() throws DfException
    Returns the IDfSysObject that is the subject of this operation node.
    Returns:
      IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the repository object Id of the IDfSysObject for this node.
    Returns:
      object Id of the IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getFilePath

    String getFilePath() throws DfException
    Returns the content file path in the local file system for this node. Returns null if the node object does not have a local content file.
    Returns:
      the content file path in the local file system for this node.
    Throws:
      `DfException`

  - ### setFilePath

    void setFilePath(String newFilePath) throws DfException
    Sets the file path to use as the contents of this object.
    Parameters:
      `newFilePath` - file path in the local file system.
    Throws:
      `DfException`

  - ### getFormat

    String getFormat() throws DfException
    Returns the repository format name for the local content file of this object.
    Returns:
      repository format name (e.g. msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`
      - `IDfSysObject.addRendition(java.lang.String, java.lang.String)`

  - ### getDefaultFormat

    String getDefaultFormat() throws DfException
    Returns the default content file format for this object in the repository. The default format is generally the primary rendition of the object, the value returned from IDfSysObject.getContentType().
    Returns:
      repository format name (e.g. msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`
      - `IDfSysObject.addRendition(java.lang.String, java.lang.String)`

  - ### setFormat

    void setFormat(String formatName) throws DfException
    Sets the repository format name of the local content file for this object.
    Parameters:
      `formatName` - repository format name (e.g. msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`
      - `IDfSysObject.addRendition(java.lang.String, java.lang.String)`

  - ### getContentPageNumber

    int getContentPageNumber() throws DfException
    Returns the content page number for the local content fille for this object.
    Returns:
      content page number for the local content fille for this object.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.setFileEx(java.lang.String, java.lang.String, int, java.lang.String)`

  - ### setContentPageNumber

    void setContentPageNumber(int pageNumber) throws DfException
    Sets the content page number for the local content fille of this object.
    Parameters:
      `pageNumber` - content page number for the local content fille of this object.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.setFileEx(java.lang.String, java.lang.String, int, java.lang.String)`

  - ### getRecordInRegistry

    int getRecordInRegistry() throws DfException
    Returns an integer that indicates if this node should be recorded in the client registry. Nodes in the client registry will be recognized as being from the repository.

        Possible values include:
                        0 DONT_RECORD_IN_REGISTRY - just export the content file.
                        1 RECORD_AS_VIEWED_FILE_IN_REGISTRY - record the object as a Viewed file.
                        2 RECORD_AS_LOCAL_FILE_IN_REGISTRY - record the object as a Local copy item.

    Returns:
      intteger indicating the registry recording setting.
    Throws:
      `DfException`

  - ### setRecordInRegistry

    void setRecordInRegistry(int registryRecordingPreference) throws DfException
    Sets an integer that indicates if this node should be recorded in the client registry. Nodes in the client registry will be recognized as being from the repository.

        Possible values include:
                        0 DONT_RECORD_IN_REGISTRY - just export the content file.
                        1 RECORD_AS_VIEWED_FILE_IN_REGISTRY - record the object as a Viewed file.
                        2 RECORD_AS_LOCAL_FILE_IN_REGISTRY - record the object as a Local copy item.

    Parameters:
      `registryRecordingPreference` - intteger indicating the registry recording setting.
    Throws:
      `DfException`

  - ### getPageModifier

    String getPageModifier() throws DfException
    Returns the content page modifier for the local content file for this object.
    Returns:
      content page modifier for the local content file for this object.
    Throws:
      `DfException`
    Since:
      DFC 5.2
    See Also:
      - `IDfSysObject.getFileEx(java.lang.String, java.lang.String, int, boolean)`
      - `IDfSysObject.getFileEx2(java.lang.String, java.lang.String, int, java.lang.String, boolean)`

  - ### setPageModifier

    void setPageModifier(String pageModifier) throws DfException
    Sets the content page modifier for the local content file for this object.
    Parameters:
      `pageModifier` - content page modifier for the local content file for this object.
    Throws:
      `DfException`
    Since:
      DFC 5.2
    See Also:
      - `IDfSysObject.getFileEx(java.lang.String, java.lang.String, int, boolean)`
      - `IDfSysObject.getFileEx2(java.lang.String, java.lang.String, int, java.lang.String, boolean)`

  - ### setMacResourceFilePath

    void setMacResourceFilePath(String resourceForkFilePath)
    Specifies the file path to use to store the resource fork information.
    Parameters:
      `resourceForkFilePath` -
    Since:
      DFC 5.2.5

  - ### getMacResourceFilePath

    String getMacResourceFilePath()
    Returns the file path to the resource fork for this node. Returns null if the node object does not have a resource fork file.
    Returns:
      the resource fork file path in the local file system for this node.
    Since:
      DFC 5.2.5

  - ### getMacOption

    int getMacOption()
    Returns the setting for Mac handling for this node. *

        Possible values include:
                        IGNORE_RESOURCE_FORK - No resource fork will be outputted, even
                                     if resource fork is present in the repository
                        USE_RESOURCE_FORK_IF_AVAILABLE - Resource fork will be downloaded only if one is
                                               already available in repository.
                        REQUIRE_RESOURCE_FORK - Resource fork is required. An error will be generated if
                                      resource fork is not available in the repository
                        GENERATE_RESOURCE_FORK - A resource fork will be generated if it is not explicitly
                                       available.

    Returns:
      the setting for Mac handling for this node.If no mac option is set via setMacOption(), then RESOURCE_FORK_UNDEFINED will be returned.
    Since:
      DFC 5.2.5

  - ### setMacOption

    void setMacOption(int option)
    Sets the Mac behavior options for this node.

        Possible values include:
                        IGNORE_RESOURCE_FORK - No resource fork will be outputted, even
                                     if resource fork is present in the repository.
                        USE_RESOURCE_FORK_IF_AVAILABLE - Resource fork will be downloaded only if one is
                                               already available in repository
                        REQUIRE_RESOURCE_FORK - Resource fork is required. An error will be generated if
                                      resource fork is not available in the repository.
                        GENERATE_RESOURCE_FORK - A resource fork will be generated if it is not explicitly
                                       available.

    Parameters:
      `option` - - possible values: IGNORE_RESOURCE_FORK, USE_RESOURCE_FORK_IF_AVAILABLE, REQUIRE_RESOURCE_FORK, GENERATE_RESOURCE_FORK.
    Since:
      DFC 5.2.5

  - ### setIncludeDCTMAttrsInXML

    void setIncludeDCTMAttrsInXML(boolean includeDCTMAttrsInXML)
    Determines whether or not dctm attributes(dctm:obj_id, dctm:status and dctm:version_label) are added to the chunk points of the XML stream. All the xml nodes in the operation would have dctm attributes. If any of the chunk's content(that has dctm attributes set) is reused it would indicate that the object is already present in the repository. Pass true to add dctm attributes. The default value is false.
    Parameters:
      `includeDCTMAttrsInXML` - if true the external references will not be downloaded.
    Since:
      5.3

  - ### getAcsTransferPreferences

    IDfAcsTransferPreferences getAcsTransferPreferences()
    Returns the `IDfAcsTransferPreferences` object to be used.
    Returns:
      `IDfAcsTransferPreferences` object to be used
    Since:
      5.3 sp1

  - ### setAcsTransferPreferences

    void setAcsTransferPreferences(IDfAcsTransferPreferences acsTransferPreferences)
    Sets the `IDfAcsTransferPreferences` object to be used.
    Parameters:
      `acsTransferPreferences` - `IDfAcsTransferPreferences` object to be used
    Since:
      5.3 sp1

  - ### getAcsRequests

    IDfEnumeration getAcsRequests() throws DfException
    Returns an `IDfEnumeration` object containing a list of `IDfAcsRequest` objects. `IDfAcsRequest` objects record information about a client application's request to an ACS server.
    Returns:
      `IDfEnumeration` of `IDfAcsRequest` objects
    Throws:
      `DfException`
    Since:
      5.3 sp1

  - ### setLogicalPageRange

    void setLogicalPageRange(int startPage, int endPage) throws DfException
    Sets the page range of interest that needs to be retrieved as a result of the execution of the export operation.
    Parameters:
      `startPage` - logical starting page of the pages requested. Use IDfExportNode.PAGE_RANGE_UNKNOWN if page range is not known.
      `endPage` - logical ending page of the pages requested. Use IDfExportNode.PAGE_RANGE_UNKNOWN if page range is not known.
    Throws:
      `DfException`
    Since:
      D6